{% extends '../recipes/base.html' %}

{% block title %}
Register |
{% endblock %}

{% block body %}
<div class="container">
  <h1>Register</h1>
  <form method="post" class="profile-form">
    <div class="row justify-content-center">
      <div class="col-7">
        {% csrf_token %}
        {% for field in form %}
        <div class="form-group row">
          <label class="col-12 col-lg-2 col-form-label">{{ field.label_tag }}</label>
          <div class="col-12 col-lg-10">
            {{ field }}
            {% if field.help_text %}
            <small  class="text-muted">{{ field.help_text }}</small>
            {% endif %}
          </div>
          {% for error in field.errors %}
          <div class="alert alert-danger" role="alert">
            {{ error }}
          </div>
          {% endfor %}
        </div>
        {% endfor %}
        <button type="submit" class="btn btn-block btn-success">Register</button>
        <br>
        Already have an account? <a href="{% url 'login' %}">Log in.</a>
      </div>
    </div>
  </form>
</div>
{% endblock %}
